Đến nội dung


Hình ảnh

[Hỏi, Thủ Thuật] Tìm Và Thay Thế Đối Tượng Trong Cad


  • Please log in to reply
5 replies to this topic

#1 hovidu

hovidu

    biết vẽ circle

  • Members
  • PipPip
  • 36 Bài viết
Điểm đánh giá: 4 (bình thường)

Đã gửi 06 January 2016 - 08:53 AM

Em đã tìm trong diễn đàn thấy một số thủ thuật thay thế block này bằng block khác. Nhưng giờ em muốn  tìm và thay thế nhiều line bằng 1 block không biết phải làm thế nào???

Ví dụ em gửi trong file đính kèm. Em muốn thay thế thanh thép S5 từ line thành block, trong bản vẽ em có rất nhiều thanh như vậy, giờ phải làm sao cho nhanh nhất???http://www.cadviet.c...g_trong_cad.dwg


  • 0
+Hoàng Việt Dũng
+University of communications and transports

#2 anti lazy

anti lazy

    biết lệnh erase

  • Members
  • PipPipPip
  • 107 Bài viết
Điểm đánh giá: 27 (tàm tạm)

Đã gửi 06 January 2016 - 10:06 AM

Có 3 cách:

1.  Cách cơ bản: học lisp khoảng 1 tuần rồi tự viết.

2. Chờ: nhanh thì trong ngày, chậm 1 tuần, tháng, năm ...., có thể forever

3. Nhanh nhất: USD


  • 0

#3 ketxu

ketxu

    Copier - Paster - Editor

  • Moderator
  • PipPipPipPipPipPipPip
  • 5679 Bài viết
Điểm đánh giá: 2605 (tuyệt vời)

Đã gửi 06 January 2016 - 11:36 AM

Hàng loạt như thế này thì code lisp là ngon xơi nhất. Nếu không thì cũng phải làm khoảng 3 bước
Bạn đọc kỹ bài của bác Anti lazy, có lý đó :)
Lần này chữa cháy cho bạn bằng code ngắn, test thử trên máy mình ok
(defun c:foo()
	(foreach e (acet-ss-to-list (ssget '((0 . "LINE")(8 . "S5"))))
		(entmake (list '(0 . "INSERT")
						(cons 2 "S5")
						(cons 10 (apply 'acet-geom-midpoint (acet-geom-extents e)))											
				)
		)
		(entdel e)
	) (princ)
)

  • 1

Thành viên nhóm CadMagic.
Mời bạn ghé thăm facebook nhóm - Page viết lisp theo yêu cầu  :
CAD MAGIC


#4 hovidu

hovidu

    biết vẽ circle

  • Members
  • PipPip
  • 36 Bài viết
Điểm đánh giá: 4 (bình thường)

Đã gửi 08 January 2016 - 09:25 AM

Hàng loạt như thế này thì code lisp là ngon xơi nhất. Nếu không thì cũng phải làm khoảng 3 bước
Bạn đọc kỹ bài của bác Anti lazy, có lý đó :)
Lần này chữa cháy cho bạn bằng code ngắn, test thử trên máy mình ok

(defun c:foo()
	(foreach e (acet-ss-to-list (ssget '((0 . "LINE")(8 . "S5"))))
		(entmake (list '(0 . "INSERT")
						(cons 2 "S5")
						(cons 10 (apply 'acet-geom-midpoint (acet-geom-extents e)))											
				)
		)
		(entdel e)
	) (princ)
)

 Thank bạn nhé

Mình cũng muốn mày mò nhưng dạo này bận quá. 

Bỏ USD ra để mua mấy cái nhỏ nhỏ này cũng không đáng.

 

PS: Bạn vào dùng bộ gõ của diễn đàn có bị hiện tượng khi gõ 2 lần dấu thì con trỏ tự động nhảy về đầu dòng không? Mấy lần mình phải gõ trên word rồi paste vào đây rồi.

Ví dụ gõ "USD" phải gõ "U S S D" thì gõ đến chữ S thứ 2 con trỏ nhảy về đầu dòng.


  • 0
+Hoàng Việt Dũng
+University of communications and transports

#5 ketxu

ketxu

    Copier - Paster - Editor

  • Moderator
  • PipPipPipPipPipPipPip
  • 5679 Bài viết
Điểm đánh giá: 2605 (tuyệt vời)

Đã gửi 09 January 2016 - 08:16 AM

Thank bạn nhé
Mình cũng muốn mày mò nhưng dạo này bận quá. 
Bỏ USD ra để mua mấy cái nhỏ nhỏ này cũng không đáng.

Biết nhỏ vậy mình khỏi viết :)
  • 0

Thành viên nhóm CadMagic.
Mời bạn ghé thăm facebook nhóm - Page viết lisp theo yêu cầu  :
CAD MAGIC


#6 hoan2182

hoan2182

    biết lệnh adcenter

  • Members
  • PipPipPipPipPipPipPip
  • 2646 Bài viết
Điểm đánh giá: 832 (rất tốt)

Đã gửi 09 January 2016 - 11:05 AM



 Thank bạn nhé

Mình cũng muốn mày mò nhưng dạo này bận quá. 

Bỏ USD ra để mua mấy cái nhỏ nhỏ này cũng không đáng.

 

PS: Bạn vào dùng bộ gõ của diễn đàn có bị hiện tượng khi gõ 2 lần dấu thì con trỏ tự động nhảy về đầu dòng không? Mấy lần mình phải gõ trên word rồi paste vào đây rồi.

Ví dụ gõ "USD" phải gõ "U S S D" thì gõ đến chữ S thứ 2 con trỏ nhảy về đầu dòng.

 

Không thấy bác Ketxu trả lời câu hỏi mầu tím.

@ anh chủ thớt: Em vừa gõ thử, vẫn thấy gõ được bình thường mà,

Untitled_zps9besmj2e.gif

hay là anh dùng FONTS CHỮ ÂM PHỦ???? :) :) :)


  • 0

Gió đưa cây cải về trời

Rau răm ở lại chịu lời đắng cay...